# std::regex_traits::getloc

From cppreference.com
< cpp‎ | regex‎ | regex traits

locale_type getloc() const; |  | (since C++11)

Returns the current locale of the traits object.

If imbue() has been never called for this object, then the global locale at the time of the call is returned. Otherwise, the locale passed to the last call to imbue() is returned.

### Parameters

(none)

### Return value

The current locale of the traits object.

### Example

| This section is incomplete Reason: no example

### See also

imbue | sets the locale (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/regex_traits/getloc&oldid=61327"
Category:

- Todo no example